edu.wpi.first.wpilibj.hal

## Interface FRCNetComm.tResourceType

- Enclosing class:
    FRCNetComm

      public static interface FRCNetComm.tResourceType

  Resource type from UsageReporting.h

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `kResourceType_Accelerometer`
    `static int` | `kResourceType_ADIS16448`
    `static int` | `kResourceType_ADXL345`
    `static int` | `kResourceType_ADXL362`
    `static int` | `kResourceType_ADXRS450`
    `static int` | `kResourceType_AnalogChannel`
    `static int` | `kResourceType_AnalogOutput`
    `static int` | `kResourceType_AnalogTrigger`
    `static int` | `kResourceType_AnalogTriggerOutput`
    `static int` | `kResourceType_AxisCamera`
    `static int` | `kResourceType_Button`
    `static int` | `kResourceType_CANJaguar`
    `static int` | `kResourceType_CANPlugin`
    `static int` | `kResourceType_CANTalonSRX`
    `static int` | `kResourceType_Command`
    `static int` | `kResourceType_Compressor`
    `static int` | `kResourceType_Controller`
    `static int` | `kResourceType_Counter`
    `static int` | `kResourceType_Dashboard`
    `static int` | `kResourceType_DigitalFilter`
    `static int` | `kResourceType_DigitalInput`
    `static int` | `kResourceType_DigitalOutput`
    `static int` | `kResourceType_DriverStationCIO`
    `static int` | `kResourceType_DriverStationEIO`
    `static int` | `kResourceType_DriverStationLCD`
    `static int` | `kResourceType_Encoder`
    `static int` | `kResourceType_Framework`
    `static int` | `kResourceType_GearTooth`
    `static int` | `kResourceType_Gyro`
    `static int` | `kResourceType_HiTechnicAccel`
    `static int` | `kResourceType_HiTechnicColorSensor`
    `static int` | `kResourceType_HiTechnicCompass`
    `static int` | `kResourceType_I2C`
    `static int` | `kResourceType_Jaguar`
    `static int` | `kResourceType_Joystick`
    `static int` | `kResourceType_Kinect`
    `static int` | `kResourceType_KinectStick`
    `static int` | `kResourceType_Language`
    `static int` | `kResourceType_MindsensorsSD540`
    `static int` | `kResourceType_Module`
    `static int` | `kResourceType_PCM`
    `static int` | `kResourceType_PCVideoServer`
    `static int` | `kResourceType_PDP`
    `static int` | `kResourceType_PIDController`
    `static int` | `kResourceType_PigeonIMU`
    `static int` | `kResourceType_Preferences`
    `static int` | `kResourceType_PWM`
    `static int` | `kResourceType_PWMTalonSRX`
    `static int` | `kResourceType_Relay`
    `static int` | `kResourceType_RevSPARK`
    `static int` | `kResourceType_RobotDrive`
    `static int` | `kResourceType_SerialPort`
    `static int` | `kResourceType_Servo`
    `static int` | `kResourceType_SmartDashboard`
    `static int` | `kResourceType_Solenoid`
    `static int` | `kResourceType_SPI`
    `static int` | `kResourceType_SRF08`
    `static int` | `kResourceType_Talon`
    `static int` | `kResourceType_Task`
    `static int` | `kResourceType_Ultrasonic`
    `static int` | `kResourceType_Victor`
    `static int` | `kResourceType_VictorSP`

- - ### Field Detail

    - #### kResourceType_Controller

          static final int kResourceType_Controller

      See Also:
        Constant Field Values

    - #### kResourceType_Module

          static final int kResourceType_Module

      See Also:
        Constant Field Values

    - #### kResourceType_Language

          static final int kResourceType_Language

      See Also:
        Constant Field Values

    - #### kResourceType_CANPlugin

          static final int kResourceType_CANPlugin

      See Also:
        Constant Field Values

    - #### kResourceType_Accelerometer

          static final int kResourceType_Accelerometer

      See Also:
        Constant Field Values

    - #### kResourceType_ADXL345

          static final int kResourceType_ADXL345

      See Also:
        Constant Field Values

    - #### kResourceType_AnalogChannel

          static final int kResourceType_AnalogChannel

      See Also:
        Constant Field Values

    - #### kResourceType_AnalogTrigger

          static final int kResourceType_AnalogTrigger

      See Also:
        Constant Field Values

    - #### kResourceType_AnalogTriggerOutput

          static final int kResourceType_AnalogTriggerOutput

      See Also:
        Constant Field Values

    - #### kResourceType_CANJaguar

          static final int kResourceType_CANJaguar

      See Also:
        Constant Field Values

    - #### kResourceType_Compressor

          static final int kResourceType_Compressor

      See Also:
        Constant Field Values

    - #### kResourceType_Counter

          static final int kResourceType_Counter

      See Also:
        Constant Field Values

    - #### kResourceType_Dashboard

          static final int kResourceType_Dashboard

      See Also:
        Constant Field Values

    - #### kResourceType_DigitalInput

          static final int kResourceType_DigitalInput

      See Also:
        Constant Field Values

    - #### kResourceType_DigitalOutput

          static final int kResourceType_DigitalOutput

      See Also:
        Constant Field Values

    - #### kResourceType_DriverStationCIO

          static final int kResourceType_DriverStationCIO

      See Also:
        Constant Field Values

    - #### kResourceType_DriverStationEIO

          static final int kResourceType_DriverStationEIO

      See Also:
        Constant Field Values

    - #### kResourceType_DriverStationLCD

          static final int kResourceType_DriverStationLCD

      See Also:
        Constant Field Values

    - #### kResourceType_Encoder

          static final int kResourceType_Encoder

      See Also:
        Constant Field Values

    - #### kResourceType_GearTooth

          static final int kResourceType_GearTooth

      See Also:
        Constant Field Values

    - #### kResourceType_Gyro

          static final int kResourceType_Gyro

      See Also:
        Constant Field Values

    - #### kResourceType_I2C

          static final int kResourceType_I2C

      See Also:
        Constant Field Values

    - #### kResourceType_Framework

          static final int kResourceType_Framework

      See Also:
        Constant Field Values

    - #### kResourceType_Jaguar

          static final int kResourceType_Jaguar

      See Also:
        Constant Field Values

    - #### kResourceType_Joystick

          static final int kResourceType_Joystick

      See Also:
        Constant Field Values

    - #### kResourceType_Kinect

          static final int kResourceType_Kinect

      See Also:
        Constant Field Values

    - #### kResourceType_KinectStick

          static final int kResourceType_KinectStick

      See Also:
        Constant Field Values

    - #### kResourceType_PIDController

          static final int kResourceType_PIDController

      See Also:
        Constant Field Values

    - #### kResourceType_Preferences

          static final int kResourceType_Preferences

      See Also:
        Constant Field Values

    - #### kResourceType_PWM

          static final int kResourceType_PWM

      See Also:
        Constant Field Values

    - #### kResourceType_Relay

          static final int kResourceType_Relay

      See Also:
        Constant Field Values

    - #### kResourceType_RobotDrive

          static final int kResourceType_RobotDrive

      See Also:
        Constant Field Values

    - #### kResourceType_SerialPort

          static final int kResourceType_SerialPort

      See Also:
        Constant Field Values

    - #### kResourceType_Servo

          static final int kResourceType_Servo

      See Also:
        Constant Field Values

    - #### kResourceType_Solenoid

          static final int kResourceType_Solenoid

      See Also:
        Constant Field Values

    - #### kResourceType_SPI

          static final int kResourceType_SPI

      See Also:
        Constant Field Values

    - #### kResourceType_Task

          static final int kResourceType_Task

      See Also:
        Constant Field Values

    - #### kResourceType_Ultrasonic

          static final int kResourceType_Ultrasonic

      See Also:
        Constant Field Values

    - #### kResourceType_Victor

          static final int kResourceType_Victor

      See Also:
        Constant Field Values

    - #### kResourceType_Button

          static final int kResourceType_Button

      See Also:
        Constant Field Values

    - #### kResourceType_Command

          static final int kResourceType_Command

      See Also:
        Constant Field Values

    - #### kResourceType_AxisCamera

          static final int kResourceType_AxisCamera

      See Also:
        Constant Field Values

    - #### kResourceType_PCVideoServer

          static final int kResourceType_PCVideoServer

      See Also:
        Constant Field Values

    - #### kResourceType_SmartDashboard

          static final int kResourceType_SmartDashboard

      See Also:
        Constant Field Values

    - #### kResourceType_Talon

          static final int kResourceType_Talon

      See Also:
        Constant Field Values

    - #### kResourceType_HiTechnicColorSensor

          static final int kResourceType_HiTechnicColorSensor

      See Also:
        Constant Field Values

    - #### kResourceType_HiTechnicAccel

          static final int kResourceType_HiTechnicAccel

      See Also:
        Constant Field Values

    - #### kResourceType_HiTechnicCompass

          static final int kResourceType_HiTechnicCompass

      See Also:
        Constant Field Values

    - #### kResourceType_SRF08

          static final int kResourceType_SRF08

      See Also:
        Constant Field Values

    - #### kResourceType_AnalogOutput

          static final int kResourceType_AnalogOutput

      See Also:
        Constant Field Values

    - #### kResourceType_VictorSP

          static final int kResourceType_VictorSP

      See Also:
        Constant Field Values

    - #### kResourceType_PWMTalonSRX

          static final int kResourceType_PWMTalonSRX

      See Also:
        Constant Field Values

    - #### kResourceType_CANTalonSRX

          static final int kResourceType_CANTalonSRX

      See Also:
        Constant Field Values

    - #### kResourceType_ADXL362

          static final int kResourceType_ADXL362

      See Also:
        Constant Field Values

    - #### kResourceType_ADXRS450

          static final int kResourceType_ADXRS450

      See Also:
        Constant Field Values

    - #### kResourceType_RevSPARK

          static final int kResourceType_RevSPARK

      See Also:
        Constant Field Values

    - #### kResourceType_MindsensorsSD540

          static final int kResourceType_MindsensorsSD540

      See Also:
        Constant Field Values

    - #### kResourceType_DigitalFilter

          static final int kResourceType_DigitalFilter

      See Also:
        Constant Field Values

    - #### kResourceType_ADIS16448

          static final int kResourceType_ADIS16448

      See Also:
        Constant Field Values

    - #### kResourceType_PDP

          static final int kResourceType_PDP

      See Also:
        Constant Field Values

    - #### kResourceType_PCM

          static final int kResourceType_PCM

      See Also:
        Constant Field Values

    - #### kResourceType_PigeonIMU

          static final int kResourceType_PigeonIMU

      See Also:
        Constant Field Values